/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React, {useContext, useState} from 'react';
import { Button } from '@material-ui/core';
import Modal from '@material-ui/core/Modal';
import Backdrop from '@material-ui/core/Backdrop';
import Zoom from '@material-ui/core/Fade';
import styled from 'styled-components'
import {Store} from '../Store.js'
import axios from 'axios'
import {apiUrl} from '../env';
import CloseIcon from '@material-ui/icons/Close';

const StyledModal = styled(Modal)`
    display : flex;
    flex-direction : column;
    border-radius : 4px;
    background-color : #fff;
    min-width : 560px;
`

export default function ModarAlterarAvatar (props){
    const {state, dispatch} = useContext(Store)

    const handleLoginInfo = (login) => {
        axios.post(`${apiUrl}`,
            {
        }
        ).then( (response) => {
            dispatch ({

            }, (error) => {

            }
        )
    }


    return (
        <>
        <StyledModal
            aria-labelledby="transition-modal-title"
            aria-describedby="transition-modal-description"
            open={props.open}
            animation={true}
            centered={true}
            onClose={props.handleClose}
            closeAfterTransition
            BackdropComponent={Backdrop}
            BackdropProps={{
                timeout: 500,
            }}
         >
            <Zoom in={props.open} style={{ transitionDelay :"0.4ms"}}>
                <HeaderDiv>
                    <span style={{width:"32px"}}/>
                        <StyledH2>Editar Foto</StyledH2>
                        <StyledCloseModalButton onClick={this.props.handleClose}>
                            <CloseIcon/>
                        </StyledCloseModalButton>
                </HeaderDiv>
                <DialogDiv>
                </DialogDiv>
            </Zoom>
        </StyledModal>
        </>
    )
}

const DialogDiv = styled.div`
    padding : 20px 30px;
    overflow : visible !important;
`

const HeaderDiv = styled.div`
    display : flex;
    flex-direction : row;
    align-items : center;
    align-content : center;
    max-width : 100%;
`
const StyledH2 = styled.h2`
    font-size : 26px;
    font-weight : lighter;
    margin-top : 20px;
    margin-bottom : 10px;
    font-family: inherit;
    line-height: 1.1;
    color: inherit;
`
const StyledCloseModalButton = styled(Button)`
    display : inline-block;
    position : relative;
    float : right !important;
    margin-right : -8px !important;
    background : transparent !important;
    min-width: 0 !important;
    width : 40px;
    border-radius : 50%;
    padding : 8px;
    height : 40px;
    margin : 0 6px;
`
