import React, {useContext} from 'react'
import styled from 'styled-components'
import { Container } from 'react-grid-system'
import Paper from '@material-ui/core/Paper';
import Button from '@material-ui/core/Button';
import {ButtonMostrarTodos, ButtonMostrarMais, BtnAlinhaRecPvt, DivContainerRecursosPublicados, ContainerDivStyled, DivTitulo, StyledP, StyledHR} from './TabPanelMeusRecursos.js'

export default function TabPanelFavoritos (props) {
    return (
        <React.Fragment>
            <ContainerDivStyled>
                <Paper elevation={3}>
                        <DivTitulo>
                            <StyledP>Recursos Favoritados <b style={{fontWeight:"700", fontSize:"20px"}}>(43)</b></StyledP>
                            <StyledHR/>
                        </DivTitulo>
                        <div style={{height : "400px"}}> //REMOVER ISSO
                            <DivContainerRecursosPublicados>
                            </DivContainerRecursosPublicados>
                            <BtnAlinhaRecPvt>
                                <p style={{margin:"0 0 10px", fontSize:"14px"}}>Carregados 4 de 7</p>
                                <ButtonMostrarMais>
                                    <span style={{color:"#fff", fontSize:"14px", fontWeight:"500"}}>MOSTRAR MAIS</span>
                                </ButtonMostrarMais>
                                <ButtonMostrarTodos>
                                    <span style={{color:"#666", fontSize:"14px", fontWeight:"500"}}>MOSTRAR TODOS</span>
                                </ButtonMostrarTodos>
                            </BtnAlinhaRecPvt>
                        </div>
                </Paper>
            </ContainerDivStyled>

            <ContainerDivStyled>
                <Paper elevation={3}>
                        <DivTitulo>
                            <StyledP>Recursos Favoritados <b style={{fontWeight:"700", fontSize:"20px"}}>(43)</b></StyledP>
                            <StyledHR/>
                        </DivTitulo>
                        <div style={{height : "400px"}}> //REMOVER ISSO
                            <DivContainerRecursosPublicados>
                            </DivContainerRecursosPublicados>
                            <BtnAlinhaRecPvt>
                                <p style={{margin:"0 0 10px", fontSize:"14px"}}>Carregados 4 de 7</p>
                                <ButtonMostrarMaisColecao>
                                    <span style={{color:"#fff", fontSize:"14px", fontWeight:"500"}}>MOSTRAR MAIS</span>
                                </ButtonMostrarMaisColecao>
                                <ButtonMostrarTodos>
                                    <span style={{color:"#666", fontSize:"14px", fontWeight:"500"}}>MOSTRAR TODOS</span>
                                </ButtonMostrarTodos>
                            </BtnAlinhaRecPvt>
                        </div>
                </Paper>
            </ContainerDivStyled>
        </React.Fragment>
    )
}

const ButtonMostrarMaisColecao = styled(Button)`
    background-color : #503096 !important;
    font-size: 14px !important;
    font-weight: 500 !important;
    height: 36px !important;
    border-radius: 3px !important;
    padding-left: 16px !important;
    padding-right: 16px !important;
    box-shadow: 0 2px 5px 0 rgba(0,0,0,.26) !important;
    outline : none !important;
    min-width : 88px !important;
    vertical-align : middle !important;
    margin : 6px 8px !important;
    text-decoration : none !important;
`
